use gtk::prelude::*;
use relm4::prelude::*;

pub struct AutosuggestionElementModel {
    pub label: String,
}

#[relm4::factory(pub)]
impl FactoryComponent for AutosuggestionElementModel {
    type Init = String;
    type ParentWidget = gtk::ListBox;
    type CommandOutput = ();
    type Input = ();
    type Output = ();

    view! {
        #[root]
        gtk::ListBoxRow {
            gtk::Label {
                set_label: &self.label,
                set_halign: gtk::Align::Start,
                set_margin_all: 0,
            }
        }
    }

    fn init_model(label: Self::Init, _index: &DynamicIndex, _sender: FactorySender<Self>) -> Self {
        AutosuggestionElementModel { label }
    }

    fn update(&mut self, msg: Self::Input, _sender: FactorySender<Self>) {}
}
